function varargout = update(varargin)

persistent plot_handle  wert
if nargin == 0
    wert = [];
    return
end
%create a run time object that can return the value of the outport block's
%input and then put the value in a string
rto1 = get_param('easy_model_sim/Out1','RuntimeObject');
rto2 = get_param('easy_model_sim/Out2','RuntimeObject');

% get Data from Simulation
XData1 = get_param('easy_model_sim','SimulationTime');
YData1 = rto1.InputPort(1).Data;
XData2 = get_param('easy_model_sim','SimulationTime');
YData2 = rto2.InputPort(1).Data;

% save Data to workspace
assignin('base','XData1',XData1)
assignin('base','YData1',YData1)
assignin('base','XData2',XData2)
assignin('base','YData2',YData2)

% real-time plot

if isempty(wert)
fig_hdl = findobj(0,'Type','axes');
wert = getappdata(fig_hdl,'num');
end

if isempty(plot_handle) || any(~ishandle(plot_handle))
    guiplot=findobj(0, 'Tag', 'axes1');
    plot_handle = plot(guiplot,XData1,YData1,XData2,YData2);
    grid on
elseif strcmp(wert,'Start1')
    XData_old1 = get(plot_handle(1), 'XData');
    YData_old1 = get(plot_handle(1), 'YData');
    XData1 = [XData_old1, XData1];
    YData1 = [YData_old1, YData1];
    set(plot_handle(1), 'XData', XData1, 'YData', YData1,'Color','blue');
    drawnow
elseif strcmp(wert,'Start2')
    XData_old2 = get(plot_handle(2), 'XData');
    YData_old2 = get(plot_handle(2), 'YData');
    XData2 = [XData_old2, XData2];
    YData2 = [YData_old2, YData2];
    set(plot_handle(2), 'XData', XData2, 'YData', YData2,'Color','red');
    drawnow
elseif strcmp(wert,'Start Together')
    XData_old1 = get(plot_handle(1), 'XData');
    YData_old1 = get(plot_handle(1), 'YData');
    XData1 = [XData_old1, XData1];
    YData1 = [YData_old1, YData1];
    XData_old2 = get(plot_handle(2), 'XData');
    YData_old2 = get(plot_handle(2), 'YData');
    XData2 = [XData_old2, XData2];
    YData2 = [YData_old2, YData2];        
    set(plot_handle(1), 'XData', XData1, 'YData', YData1,'Color','blue');
    set(plot_handle(2), 'XData', XData2, 'YData', YData2,'Color','red');    
    drawnow
    end